package com.tzld.longarticle.recommend.server.common.enums.longArticle;

import lombok.Getter;

@Getter
public enum ArticleVideoBadStatusEnum {

    TITLE_DEFAULT_STATUS(0, "正常"),
    TITLE_EXIT_STATUS(1, "违规"),
    TITLE_FESTIVAL_STATUS(2, "节日"),
    TITLE_DUPLICATE_STATUS(3, "重复"),
    TITLE_SHORT_STATUS(4, "过短"),
    TITLE_AIGC_REJECT_STATUS(4, "aigc审核不通过"),
    ;

    private final int code;
    private final String msg;

    ArticleVideoBadStatusEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ArticleVideoBadStatusEnum getByCode(int code) {
        for (ArticleVideoBadStatusEnum statusEnum : ArticleVideoBadStatusEnum.values()) {
            if (statusEnum.getCode() == code) {
                return statusEnum;
            }
        }
        return null;
    }
}
